package com.ccnode.codegenerator.view;

package .tmp;

import com.ccnode.codegenerator.a.a;
import com.ccnode.codegenerator.ae.p;
import com.intellij.ide.IdeView;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.CommonDataKeys;
import com.intellij.openapi.actionSystem.LangDataKeys;
import com.intellij.openapi.actionSystem.Presentation;
import com.intellij.openapi.command.WriteCommandAction;
import com.intellij.openapi.fileEditor.FileDocumentManager;
import com.intellij.openapi.fileEditor.FileEditorManager;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.util.Computable;
import com.intellij.openapi.vfs.VirtualFileManager;
import com.intellij.psi.PsiDirectory;
import com.intellij.psi.PsiFile;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000\032\n\002\030\002\n\002\030\002\n\002\b\002\n\002\020\002\n\000\n\002\030\002\n\002\b\002\030\0002\0020\001B\005¢\006\002\020\002J\020\020\003\032\0020\0042\006\020\005\032\0020\006H\026J\020\020\007\032\0020\0042\006\020\005\032\0020\006H\026¨\006\b"}, d2 = {"Lcom/ccnode/codegenerator/view/NewMybatisGeneratorFileAction;", "Lcom/ccnode/codegenerator/action/BaseBGTAction;", "()V", "actionPerformed", "", "e", "Lcom/intellij/openapi/actionSystem/AnActionEvent;", "update", "MyBatisCodeHelper-Pro241"})
public final class L extends a {
  public L() {
    Intrinsics.checkNotNullExpressionValue(getTemplatePresentation(), "");
    Presentation presentation = getTemplatePresentation();
    presentation.setText("New MybatisGeneratorFile");
    presentation.setIcon(p.d());
  }
  
  public void actionPerformed(@NotNull AnActionEvent paramAnActionEvent) {
    Intrinsics.checkNotNullParameter(paramAnActionEvent, "");
    Intrinsics.checkNotNullExpressionValue(paramAnActionEvent.getRequiredData(CommonDataKeys.PROJECT), "");
    Project project = (Project)paramAnActionEvent.getRequiredData(CommonDataKeys.PROJECT);
    Intrinsics.checkNotNullExpressionValue(paramAnActionEvent.getRequiredData(LangDataKeys.IDE_VIEW), "");
    IdeView ideView = (IdeView)paramAnActionEvent.getRequiredData(LangDataKeys.IDE_VIEW);
    Intrinsics.checkNotNullExpressionValue(ideView.getDirectories(), "");
    PsiDirectory[] arrayOfPsiDirectory = ideView.getDirectories();
    if (arrayOfPsiDirectory.length == 0)
      return; 
    PsiDirectory psiDirectory = arrayOfPsiDirectory[0];
    String str = "MybatisGenerator.xml";
    Object object = null;
    object = WriteCommandAction.runWriteCommandAction(project, (Computable)new a(project, str, psiDirectory));
    VirtualFileManager.getInstance().syncRefresh();
    FileDocumentManager.getInstance().saveAllDocuments();
    if ((PsiFile)object != null) {
      PsiFile psiFile = (PsiFile)object;
      boolean bool = false;
      FileEditorManager.getInstance(project).openFile(((PsiFile)object).getVirtualFile(), true);
    } else {
      (PsiFile)object;
    } 
  }
  
  public void update(@NotNull AnActionEvent paramAnActionEvent) {
    Intrinsics.checkNotNullParameter(paramAnActionEvent, "");
    Project project = (Project)paramAnActionEvent.getData(CommonDataKeys.PROJECT);
    IdeView ideView = (IdeView)paramAnActionEvent.getData(LangDataKeys.IDE_VIEW);
    PsiDirectory[] arrayOfPsiDirectory = (ideView != null) ? ideView.getDirectories() : null;
    if (arrayOfPsiDirectory == null || arrayOfPsiDirectory.length == 0 || project == null) {
      paramAnActionEvent.getPresentation().setVisible(false);
    } else {
      paramAnActionEvent.getPresentation().setVisible(true);
    } 
  }
}
